import React from 'react';
import PropTypes from 'prop-types';
import { Link } from 'react-router-dom';
import { wrapRoute2Locale } from '../../helpers/localization';

export const RouteLink = ({
  to, href, locale, className, children,
}) => {
  const withLocale = wrapRoute2Locale(to, locale);
  return (
    <Link href={href || withLocale} to={withLocale} className={className}>
      {children}
    </Link>
  );
};

RouteLink.propTypes = {
  to: PropTypes.string.isRequired,
  locale: PropTypes.string.isRequired,
  children: PropTypes.node.isRequired,
  className: PropTypes.string,
  href: PropTypes.string,
};

RouteLink.defaultProps = {
  className: '',
  href: null,
};
