import { values } from 'ramda';

export const LOCALE_KEYS = {
  EN_US: 'en-us',
  RU_RU: 'ru-ru',
  ZH_CN: 'zh-cn',
  KO_KO: 'ko-ko',
};

export const LANG_KEYS = {
  [LOCALE_KEYS.EN_US]: 'en',
  [LOCALE_KEYS.ZH_CN]: 'zh',
  [LOCALE_KEYS.RU_RU]: 'ru',
  [LOCALE_KEYS.KO_KO]: 'ko',
};

export const LOCALE = 'locale';
export const LOCALES = values(LOCALE_KEYS);
export const DEFAULT_LOCALE = LOCALE_KEYS.EN_US;
export const DEFAULT_LANG = LANG_KEYS[LOCALE_KEYS.EN_US];

export const CURRENCY_USD = 'USD';
export const CURRENCY_EUR = 'EUR';
export const ALL_CURRENCY = [CURRENCY_USD, CURRENCY_EUR];
export const DEFAULT_CURRENCY = CURRENCY_USD;

export const DEFAULT_RESET_STATE_TIMEOUT = 3000;

export const USERNAME_LENGTH_MAX = 16;
export const MEMO_LENGTH_MAX = 500;

export const MIN_FRACTION_DIGITS = 3;
export const MAX_FRACTION_DIGITS = 9;

// Errors, alerts
export const UNDEFINED_ERROR_ID = 'wallet.error.unknown';
export const SIGN_UP_ERROR_UNKNOWN = 'wallet.sign-up.error.unknown';
